global:
  registry: docker.io
  repository: freeleaps
  nodeSelector: {}
dashboard:
  enabled: true
  name: freeleaps-prod-content-dashboard
  title: Content Service Dashboard (PROD)
  metricsPrefix: freeleaps_content
content:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: content
    tag: 1.3.1
    imagePullPolicy: IfNotPresent
  ports:
  - name: http
    containerPort: 8013
    protocol: TCP
  resources:
    requests:
      cpu: 200m
      memory: 64Mi
    limits:
      cpu: 300m
      memory: 512Mi
  probes:
    readiness:
      type: httpGet
      config:
        path: /api/_/readyz
        port: 8013
        initialDelaySeconds: 5
        periodSeconds: 30
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
    liveness:
      type: httpGet
      config:
        path: /api/_/livez
        port: 8013
        initialDelaySeconds: 5
        periodSeconds: 15
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
        terminationGracePeriodSeconds: 30
  services:
  - name: content-service
    type: ClusterIP
    port: 8013
    targetPort: 8013
    serviceMonitor:
      enabled: true
      labels:
        release: kube-prometheus-stack
      namespace: freeleaps-monitoring-system
      internal: 30s
      scrapeTimeout: ''
  ingresses: {}
  configs:
    tz: UTC
    appName: content
    serviceApiAccessHost: 0.0.0.0
    serviceApiAccessPort: 8013
    mongodbName: freeleaps2
    mongodbPort: 27017
    mongodbUri: mongodb+srv://freeadmin:0eMV0bt8oyaknA0m@freeleaps2.zmsmpos.mongodb.net/?retryWrites=true&w=majority
    freeleapsWwwAsAzureClientSecret: jTu8Q~WceiK-5dfZB44Ww-K4fVGi3_5tHNWYYbdX
    centralStorageWebapiUrlBase: http://central-storage-service.freeleaps-prod.svc.freeleaps.cluster:8005/api/central_storage
    metricsEnabled: 'true'
    probesEnabled: 'true'
  vpa:
    minAllowed:
      enabled: true
      cpu: 100m
      memory: 64Mi
    maxAllowed:
      enabled: true
      cpu: 200m
      memory: 128Mi
    controlledResources:
    - cpu
    - memory
